//
//  MineTitleTableViewCell.swift
//  MobilePortal
//
//  Created by xiejiangbo on 2019/3/18.
//  Copyright © 2019 yin chen. All rights reserved.
//

import UIKit

class MineTitleTableViewCell: BaseTableViewCell {
    @IBOutlet weak var nameImageView: UIImageView!
    
    var block:selectBlock!
    override func awakeFromNib() {
        super.awakeFromNib()
        self.backgroundColor = UIColor.clear
        // Initialization code
    }
    
    override func configurateTheCell(_ info: BaseCellModel) {
        let xinfo:MineTitleTableViewCellModel = info as! MineTitleTableViewCellModel
        self.block = xinfo.block
        //self.titleLabel.text = xinfo.titleValue
        self.nameImageView.image = UIImage.init(named: xinfo.nameImage!)
    }
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)
        if selected {
            // self.block()
        }
    }

}
class MineTitleTableViewCellModel: BaseCellModel {
    
    var titleValue:String?
    var nameImage:String?
    var block:selectBlock!
    var isShow = false
    
}
